package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;

public class MappingKirimDokumenPasienVO extends BaseTransactionVO {

	private StrukKirimVO strukKirim;

	private DokumenRekamMedisVO dokumenRekamMedis;

	private StrukPelayananVO strukPelayanan;

	private DokumenMasukVO dokumenMasuk;

	private LoginUserVO kdpegawaitujuanlast;

	private RuanganVO kdruangantujuanlast;

	private RuanganVO ruanganTujuan;

	private PasienVO pasien;

	private DokumenVO dokumen;

	private PasienDaftarVO pasienDaftar;

	private AntrianPasienDiPeriksaVO pasienDiPeriksa;

	private StrukVerifikasiVO strukVerifikasi;

	private StrukClosingVO strukClosing;

	public StrukClosingVO getStrukClosing() {
		return strukClosing;
	}

	public void setStrukClosing(StrukClosingVO strukClosing) {
		this.strukClosing = strukClosing;
	}

	public StrukVerifikasiVO getStrukVerifikasi() {
		return strukVerifikasi;
	}

	public void setStrukVerifikasi(StrukVerifikasiVO strukVerifikasi) {
		this.strukVerifikasi = strukVerifikasi;
	}

	public AntrianPasienDiPeriksaVO getPasienDiPeriksa() {
		return pasienDiPeriksa;
	}

	public void setPasienDiPeriksa(AntrianPasienDiPeriksaVO pasienDiPeriksa) {
		this.pasienDiPeriksa = pasienDiPeriksa;
	}

	public PasienDaftarVO getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(PasienDaftarVO pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public DokumenVO getDokumen() {
		return dokumen;
	}

	public void setDokumen(DokumenVO dokumen) {
		this.dokumen = dokumen;
	}

	public RuanganVO getRuanganTujuan() {
		return ruanganTujuan;
	}

	public void setRuanganTujuan(RuanganVO ruanganTujuan) {
		this.ruanganTujuan = ruanganTujuan;
	}

	public LoginUserVO getKdpegawaitujuanlast() {
		return kdpegawaitujuanlast;
	}

	public void setKdpegawaitujuanlast(LoginUserVO kdpegawaitujuanlast) {
		this.kdpegawaitujuanlast = kdpegawaitujuanlast;
	}

	public RuanganVO getKdruangantujuanlast() {
		return kdruangantujuanlast;
	}

	public void setKdruangantujuanlast(RuanganVO kdruangantujuanlast) {
		this.kdruangantujuanlast = kdruangantujuanlast;
	}

	public DokumenMasukVO getDokumenMasuk() {
		return dokumenMasuk;
	}

	public void setDokumenMasuk(DokumenMasukVO dokumenMasuk) {
		this.dokumenMasuk = dokumenMasuk;
	}

	public StrukPelayananVO getStrukPelayanan() {
		return strukPelayanan;
	}

	public void setStrukPelayanan(StrukPelayananVO strukPelayanan) {
		this.strukPelayanan = strukPelayanan;
	}

	public StrukKirimVO getStrukKirim() {
		return strukKirim;
	}

	public void setStrukKirim(StrukKirimVO strukKirim) {
		this.strukKirim = strukKirim;
	}

	public DokumenRekamMedisVO getDokumenRekamMedis() {
		return dokumenRekamMedis;
	}

	public void setDokumenRekamMedis(DokumenRekamMedisVO dokumenRekamMedis) {
		this.dokumenRekamMedis = dokumenRekamMedis;
	}

	private Set<MappingKirimDokumenPasienVO> list = new HashSet<>();
	private String noRecSbm;
	private String noRegistrasi;
	private Double totalBayar;
	private Double totalSisaPiutang;

	public Set<MappingKirimDokumenPasienVO> getList() {
		return list;
	}

	public void setList(Set<MappingKirimDokumenPasienVO> list) {
		this.list = list;
	}

	public String getNoRecSbm() {
		return noRecSbm;
	}

	public void setNoRecSbm(String noRecSbm) {
		this.noRecSbm = noRecSbm;
	}

	public String getNoRegistrasi() {
		return noRegistrasi;
	}

	public void setNoRegistrasi(String noRegistrasi) {
		this.noRegistrasi = noRegistrasi;
	}

	public Double getTotalBayar() {
		return totalBayar;
	}

	public void setTotalBayar(Double totalBayar) {
		this.totalBayar = totalBayar;
	}

	public Double getTotalSisaPiutang() {
		return totalSisaPiutang;
	}

	public void setTotalSisaPiutang(Double totalSisaPiutang) {
		this.totalSisaPiutang = totalSisaPiutang;
	}

}
